WITH   Gnat.IO ;  USE Gnat.IO;

PROCEDURE   CharTb04  IS
BEGIN
   Put_Line (   "CODE   CHAR"   );
   Put_Line (   "-----------"   );

   ----- LOOP , On each char
   FOR i in 0..255 LOOP
      Put (   i   );
      Put (   "   "   );
      Put (   Character'Val(i)   );
      New_Line ;
   END LOOP;
END;
